import ts from "typescript";
import { VisitResult } from "./types";
/**
 * Construct the FnResource and detect the access relationship within the body of FnResource.
 * @param fnNode The function expression
 * @param fnResName The function name, same with the resource name.
 */
export declare function visitFnResourceBody(fnNode: ts.Expression, checker: ts.TypeChecker, fnResName: string): VisitResult;
